SUBROUTINE Jfcn (N, X, Y, JAC)
! SPECIFICATIONS FOR ARGUMENTS
      INTEGER    N
      REAL(8)       X, Y(N), JAC(N,*)

     Jac(1,1) = -1.0d0/y(1)**2
     Jac(1,2) =  0.0d0
     Jac(2,1) =  1.0d0/y(2)**2
     Jac(2,2) = -2.0d0*y(1)/y(2)**3
      RETURN
      END